Subject: bug#30855: 25.3; temacs fails with bus error during garbage collection

From: Ulrich Mueller <[email-masked]>
Date: Tue, 20 Mar 2018 22:19:37 +0100

>>>>> On Tue, 20 Mar 2018, Paul Eggert wrote:

> I installed the attached into master; if it fixes Ulrich's problem
> I think this should be backported to emacs-26.

Thanks. This fixes the build on sparc both for 25.3 and 26.0.91
(tested by Rolf Eike Beer, see https://bugs.gentoo.org/647238#c18).

>>>>> On Tue, 20 Mar 2018, Eli Zaretskii wrote:

> I'm okay with backporting, unless the configuration where it happens
> is extremely rare, so much so that we can get away with this as a
> "known problem".

I would really appreciate if this could be included with Emacs 26.
It would be less than ideal if we (Gentoo) needed a downstream patch
for the initial version because otherwise it won't even build on
sparc.

Also, doesn't this bug affect other architectures too, and at least
cause a performance penalty for unaligned access?